Package org.eclipse.jface.text.source

# Interface IAnnotationHoverExtension2

public interface IAnnotationHoverExtension2
Extension interface for `IAnnotationHover` for

- providing whether the information control can interact with the mouse wheel

Since:
  3.2
See Also:
  - `IAnnotationHover`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandleMouseWheel()`
Returns whether the provided information control can interact with the mouse wheel.

## Method Details

### canHandleMouseWheel

boolean canHandleMouseWheel()
Returns whether the provided information control can interact with the mouse wheel. I.e. the hover will not be closed when the mouse wheel is moved.

Returns:
  `true` if the mouse wheel is handled by the hover